TokenReplacerFilterInputStream (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.filter.TokenReplacerFilterInputStream class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.filter
Class TokenReplacerFilterInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              org.hyperic.util.filter.TokenReplacerFilterInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class TokenReplacerFilterInputStream

extends java.io.FilterInputStream

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`TokenReplacerFilterInputStream(java.io.InputStream in)`
`TokenReplacerFilterInputStream(java.io.InputStream in, java.util.Map filters)`

Method Summary
`void` | `addFilter(java.lang.String name, java.lang.String value)`
`void` | `addFilters(java.util.Map filters)`
`int` | `read()`
`int` | `read(byte[] buf, int offset, int len)`
`void` | `setBeginToken(java.lang.String token)`
`void` | `setEndToken(java.lang.String token)`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TokenReplacerFilterInputStream

    public TokenReplacerFilterInputStream(java.io.InputStream in)

### TokenReplacerFilterInputStream

    public TokenReplacerFilterInputStream(java.io.InputStream in,
                                          java.util.Map filters)

Method Detail

### setBeginToken

    public void setBeginToken(java.lang.String token)

### setEndToken

    public void setEndToken(java.lang.String token)

### addFilter

    public void addFilter(java.lang.String name,
                          java.lang.String value)

### addFilters

    public void addFilters(java.util.Map filters)

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buf,
                    int offset,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.